<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250">
<title>Odczyt danych z bazy</title>
</head>
<body>
<?php
if (!$db_lnk = mysql_connect("localhost", "php", "test")){
  echo 'Błąd podczas próby połączenia z serwerem MySQL...<br />';
  echo '</body></html>';
  exit;
}

if(!mysql_select_db('testphp')){
  mysql_close();
  echo 'Błąd podczas wyboru bazy danych: testphp <br />';
  echo '</body></html>';
  exit;
}

$query = 'SELECT * FROM osoba';

if(!$result = mysql_query($query, $db_lnk)){
  mysql_close();
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo '</body></html>';
  exit;
}
?>

<table>
<tr>
<td>Id</td>
<td>Imię</td>
<td>Nazwisko</td>
<td>Rok urodzenia</td>
<td>Miejsce urodzenia</td>
</tr>

<?php
while($row = mysql_fetch_row($result)){
  echo "<tr>";
  echo "<td>$row[0]</td>";
  echo "<td>$row[1]</td>";
  echo "<td>$row[2]</td>";
  echo "<td>$row[3]</td>";
  echo "<td>$row[4]</td>";
  echo "</tr>";
}
?>

</table>

<?php
if(!mysql_close()){
  echo 'Błąd podczas zamykania połączenia z serwerem MySQL...<br />';
}
?>
</body>
</html>
